import serial #外掛通訊功能
import time #時間功能
import random

#定義跟ezdisplay相連的UART
class Send_Rcv():
    def __init__(self,comport):
        self.ser = serial.Serial(comport, baudrate=115200, timeout=0.05)

    def SendCommand(self,command):
        self.ser.write(command.encode())

    def ReadLine(self):
        return self.ser.readline.decode("utf-8").strip()
        
    def Readuntil(self,c1):       
        self.ser.read_until(c1.encode())
#<--end ez物件     
        
at_cmd = Send_Rcv('/COM3')                      #指定跟 ezDisplay 連接的 UART port 
at_cmd.SendCommand("at2b=(0)")                  #設定為覆蓋模式
at_cmd.Readuntil('E')                           #等待登板完成工作 

loop = 1
while loop > 0:
    at_cmd.SendCommand("atd0=()")               #清除畫面
    at_cmd.Readuntil('E')
    at_cmd.SendCommand("atef=(4)")              #設定文字顏色為綠色
    at_cmd.Readuntil('E')
    at_cmd.SendCommand("at83=(1,0,Count:)")     #顯示8x16字型 Count: 字串
    at_cmd.Readuntil('E')
    at_cmd.SendCommand("atef=(3)")              #設定數字顏色為藍色
    at_cmd.Readuntil('E')
    
    for i in range(0,100,1):
        at_cmd.SendCommand("at83=(1,6,%d)"%i)   #顯示8x16字型字串
        at_cmd.Readuntil('E')
        time.sleep(0.1)